# OqlWhereClause Class Reference
[Object Query Language based on Criteria]

Inheritance diagram for OqlWhereClause:
[legend]

List of all members.

## Static Public Member Functions

static | create ()

## Static Protected Member Functions

static | checkExpression (OqlQueryExpression $expression)

## Detailed Description

Definition at line 15 of file OqlWhereClause.class.php.

## Member Function Documentation

static OqlWhereClause::checkExpression | ( | OqlQueryExpression $ | expression | ) | `[static, protected]`

Reimplemented from OqlQueryExpressionClause.

Definition at line 25 of file OqlWhereClause.class.php.

References OqlQueryExpression::getClassName(), and Assert::isInstance().

Here is the call graph for this function:

static OqlWhereClause::create | ( |  | ) | `[static]`

Returns:
  OqlWhereClause

Definition at line 20 of file OqlWhereClause.class.php.

The documentation for this class was generated from the following file:

- main/OQL/Statements/OqlWhereClause.class.php